// Register Form validation starts
$(document).ready(function () {
    $("#register_form").validate({
        onfocusout: function (element) {
            $(element).valid();
        },
        rules: {
            first_name: {required: true},
            user_type: {required: true},
            email_id: {required: true,email: true},
            mobile_number: {required: true},
            password: {required: true, minlength: 6, maxlength: 10}
        },
        messages: {

            first_name: {required: "Name is Required"},
            user_type: {required: "User Type is Required"},
            email_id: {required: "Email ID is Required"},
            mobile_number: {required: "Phone Number is Required"},
            password: {required: "Password is Required"}
        },

        submitHandler: function (form) { // for demo
            form.submit();
        }
    });
});

// Register Form validation ends

// Login Form validation starts

$(document).ready(function () {
    $("#login_form").validate({
        onfocusout: function (element) {
            $(element).valid();
        },
        rules: {
            email_id: {required: true},
            password: {required: true}
        },
        messages: {
            email_id: {required: "Email ID is Required"},
            password: {required: "Password is Required"}
        },

        submitHandler: function (form) { // for demo
            form.submit();
        }
    });
});

// Login Form validation ends

// Forget Password Form validation starts

$(document).ready(function () {
    $("#forget_form").validate({
        onfocusout: function (element) {
            $(element).valid();
        },
        rules: {
            email_id: {required: true}
        },
        messages: {
            email_id: {required: "Email ID is Required"}
        },

        submitHandler: function (form) { // for demo
            form.submit();
        }
    });
});

// Forget Password Form validation ends

// Listing Form -1 validation starts
$(document).ready(function () {
    $("#listing_form_1").validate({
        onfocusout: function (element) {
            $(element).valid();
        },
        rules: {
            listing_name: {required: true},
            listing_address: {required: true},
            // listing_lat: {required: true},
            // listing_lng: {required: true},
            event_image: {required: true},
            event_address: {required: true},
            event_start_date: {required: true},
            event_time: {required: true},
            event_description: {required: true},
            event_email: {required: true,email: true},
            event_mobile: {required: true}
        },
        messages: {

            listing_name: {required: "Listing Name is Required"},
            event_contact_name: {required: "Contact Person Name is Required"},
            event_image: {required: "Event Image is Required"},
            listing_address: {required: "Listing Address is Required"},
            // listing_lat: {required: "Listing Latitude is Required"},
            // listing_lng: {required: "Listing Longitude is Required"},
            event_start_date: {required: "Event Date is Required"},
            event_time: {required: "Event Time is Required"},
            event_description: {required: "Event Description is Required"},
            event_email: {required: "Event Email ID is Required"},
            event_mobile: {required: "Phone Number is Required"}
        },

        submitHandler: function (form) { // for demo
            form.submit();
        }
    });
});

// Listing Form -1 validation ends

// Event Form validation starts
$(document).ready(function () {
    $("#event_form").validate({
        onfocusout: function (element) {
            $(element).valid();
        },
        rules: {
            event_name: {required: true},
            event_contact_name: {required: true},
            event_image: {required: true},
            event_address: {required: true},
            event_start_date: {required: true},
            event_time: {required: true},
            event_description: {required: true},
            event_email: {required: true,email: true},
            event_mobile: {required: true}
        },
        messages: {

            event_name: {required: "Event Name is Required"},
            event_contact_name: {required: "Contact Person Name is Required"},
            event_image: {required: "Event Image is Required"},
            event_address: {required: "Event Address is Required"},
            event_start_date: {required: "Event Date is Required"},
            event_time: {required: "Event Time is Required"},
            event_description: {required: "Event Description is Required"},
            event_email: {required: "Event Email ID is Required"},
            event_mobile: {required: "Phone Number is Required"}
        },

        submitHandler: function (form) { // for demo
            form.submit();
        }
    });
});

// Event Form validation ends

// Event Edit Form validation starts
$(document).ready(function () {
    $("#event_edit_form").validate({
        onfocusout: function (element) {
            $(element).valid();
        },
        rules: {
            event_name: {required: true},
            event_contact_name: {required: true},
            event_address: {required: true},
            event_start_date: {required: true},
            event_time: {required: true},
            event_description: {required: true},
            event_email: {required: true,email: true},
            event_mobile: {required: true}
        },
        messages: {

            event_name: {required: "Event Name is Required"},
            event_contact_name: {required: "Contact Person Name is Required"},
            event_address: {required: "Event Address is Required"},
            event_start_date: {required: "Event Date is Required"},
            event_time: {required: "Event Time is Required"},
            event_description: {required: "Event Description is Required"},
            event_email: {required: "Event Email ID is Required"},
            event_mobile: {required: "Phone Number is Required"}
        },

        submitHandler: function (form) { // for demo
            form.submit();
        }
    });
});

// Event Edit Form validation ends

// Blog Form validation starts
$(document).ready(function () {
    $("#blog_form").validate({
        onfocusout: function (element) {
            $(element).valid();
        },
        rules: {
            blog_name: {required: true},
            blog_image: {required: true},
            blog_description: {required: true}
        },
        messages: {

            blog_name: {required: "Blog Name is Required"},
            blog_image: {required: "Blog Image is Required"},
            blog_description: {required: "Blog Description is Required"}
        },

        submitHandler: function (form) { // for demo
            form.submit();
        }
    });
});

// Blog Form validation ends

// Blog Edit Form validation starts
$(document).ready(function () {
    $("#blog_edit_form").validate({
        onfocusout: function (element) {
            $(element).valid();
        },
        rules: {
            blog_name: {required: true},
            blog_description: {required: true}
        },
        messages: {

            blog_name: {required: "Blog Name is Required"},
            blog_description: {required: "Blog Description is Required"}
        },

        submitHandler: function (form) { // for demo
            form.submit();
        }
    });
});

// Blog Edit Form validation ends


<!--All Listing page Enquiry Form Ajax Call And Validation starts-->

$("#all_enquiry_submit").click(function() {

    $("#all_enquiry_form").validate({
        rules: {
            enquiry_name: {required: true},
            enquiry_email: {required: true, email: true},
            enquiry_mobile: {required: true}

        },
        messages: {

            enquiry_name: {required: "Name is Required"},
            enquiry_email: {required: "Email ID is Required"},
            enquiry_mobile: {required: "Mobile Number is Required"}
        },

        submitHandler: function (form) { // for demo
            //form.submit();
            $.ajax({
                type: "POST",
                data: $("#all_enquiry_form").serialize(),
                url: "enquiry_submit.php",
                cache: true,
                success: function (html) {
                    // alert(html);
                    if (html == 1) {
                        $("#enq_success").show();
                        $("#all_enquiry_form")[0].reset();
                    } else {
                        if (html == 3) {
                            $("#enq_same").show();
                            $("#all_enquiry_form")[0].reset();
                        }else {
                            $("#enq_fail").show();
                            $("#all_enquiry_form")[0].reset();
                        }
                    }

                }

            })
        }
    });
});
<!--All Listing page Enquiry Form Ajax Call And Validation ends-->

// User Ad Request Form validation starts
$(document).ready(function () {
    $("#create_ads_form").validate({
        onfocusout: function (element) {
            $(element).valid();
        },
        rules: {
            all_ads_price_id: {required: true},
            ad_start_date: {required: true},
            ad_end_date: {required: true},
            ad_enquiry_photo: {required: true},
            ad_link: {required: true}
        },
        messages: {

            all_ads_price_id: {required: "Ad Position is Required"},
            ad_start_date: {required: "Start Date is Required"},
            ad_end_date: {required: "End Date is Required"},
            ad_enquiry_photo: {required: "Ad is Required"},
            ad_link: {required: "Ad Link is Required"}
        },

        submitHandler: function (form) { // for demo
            form.submit();
        }
    });
});

// User Ad Request Form validation ends


<!--Home page slide Enquiry Form Ajax Call And Validation starts-->

$("#home_slide_enquiry_submit").click(function() {

    $("#home_slide_enquiry_form").validate({
        rules: {
            enquiry_name: {required: true},
            enquiry_email: {required: true, email: true},
            enquiry_mobile: {required: true}

        },
        messages: {

            enquiry_name: {required: "Name is Required"},
            enquiry_email: {required: "Email ID is Required"},
            enquiry_mobile: {required: "Mobile Number is Required"}
        },

        submitHandler: function (form) { // for demo
            //form.submit();
            $.ajax({
                type: "POST",
                data: $("#home_slide_enquiry_form").serialize(),
                url: "enquiry_submit.php",
                cache: true,
                success: function (html) {
                    // alert(html);
                    if (html == 1) {
                        $("#home_slide_enq_success").show();
                        $("#home_slide_enquiry_form")[0].reset();
                    } else {
                        if (html == 3) {
                            $("#home_slide_enq_same").show();
                            $("#home_slide_enquiry_form")[0].reset();
                        }else {
                            $("#home_slide_enq_fail").show();
                            $("#home_slide_enquiry_form")[0].reset();
                        }
                    }

                }

            })
        }
    });
});
<!--Home page slide Enquiry Form Ajax Call And Validation ends-->


<!--Home page Enquiry Form Ajax Call And Validation starts-->

$("#home_enquiry_submit").click(function() {

    $("#home_enquiry_form").validate({
        rules: {
            enquiry_name: {required: true},
            enquiry_email: {required: true, email: true},
            enquiry_mobile: {required: true}

        },
        messages: {

            enquiry_name: {required: "Name is Required"},
            enquiry_email: {required: "Email ID is Required"},
            enquiry_mobile: {required: "Mobile Number is Required"}
        },

        submitHandler: function (form) { // for demo
            //form.submit();
            $.ajax({
                type: "POST",
                data: $("#home_enquiry_form").serialize(),
                url: "enquiry_submit.php",
                cache: true,
                success: function (html) {
                    // alert(html);
                    if (html == 1) {
                        $("#home_enq_success").show();
                        $("#home_enquiry_form")[0].reset();
                    } else {
                        if (html == 3) {
                            $("#home_enq_same").show();
                            $("#home_enquiry_form")[0].reset();
                        }else {
                            $("#home_enq_fail").show();
                            $("#home_enquiry_form")[0].reset();
                        }
                    }

                }

            })
        }
    });
});
<!--Home page Enquiry Form Ajax Call And Validation ends-->


// product Form validation starts
$(document).ready(function () {
    $("#product_form").validate({
        onfocusout: function (element) {
            $(element).valid();
        },
        rules: {
            product_name: {required: true},
            product_price: {required: true},
            gallery_image: {required: true},
            product_description: {required: true},
            category_id: {required: true}
        },
        messages: {

            product_name: {required: "Product name is Required"},
            product_price: {required: "Product price is Required"},
            gallery_image: {required: "Product image is Required"},
            product_description: {required: "Product description is Required"},
            category_id: {required: "Product category is Required"}
        },

        submitHandler: function (form) { // for demo
            form.submit();
        }
    });
});

// product Form validation ends

// Feedback Form validation starts
$(document).ready(function () {
    $("#feedback_form").validate({
        onfocusout: function (element) {
            $(element).valid();
        },
        rules: {
            feedback_name: {required: true},
            feedback_email: {required: true,email: true},
            feedback_mobile: {required: true},
            feedback_message: {required: true}
        },
        messages: {

            feedback_name: {required: "Name is Required"},
            feedback_email: {required: "Email ID is Required"},
            feedback_mobile: {required: "Phone Number is Required"},
            feedback_message: {required: "Feedback is Required"}
        },

        submitHandler: function (form) { // for demo
            form.submit();
        }
    });
});

// Feedback Form validation ends
